TippingPoint Zero Day Initiative
 

Apple iTunes iPodService Privilege Escalation Vulnerability

ZDI-17-490: July 19th, 2017

CVE ID

CVSS Score

Affected Vendors

Affected Products

Vulnerability Details


This vulnerability allows local attackers to escalate privileges on vulnerable installations of Apple iTunes. An attacker must first obtain the ability to execute low-privileged code on the target system in order to exploit this vulnerability.

The specific flaw exists within the handling of the iPodManager COM control. The issue results from the lack of proper restriction of access to the control. An attacker can leverage this vulnerability to escalate privileges and execute code under the context of SYSTEM.

Vendor Response

Apple has issued an update to correct this vulnerability. More details can be found at:

Disclosure Timeline

    2017-05-06 - Vulnerability reported to vendor
    2017-07-19 - Coordinated public release of advisory

Credit

This vulnerability was discovered by:
    Anonymous